Runtime

## org.eclipse.gmf.runtime.notation.impl
Class SortingStyleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
                      org.eclipse.gmf.runtime.notation.impl.SortingStyleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SortingStyle, Style

    public class SortingStyleImpl

extends NotationEObjectImpl
implements SortingStyle

An implementation of the model object 'Sorting Style'.

The following features are implemented:

- `Sorting`
- `Sorting Keys`
- `Sorted Objects`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` `sortedObjects` The cached value of the '`Sorted Objects`' reference list
`protected static Sorting` `SORTING_EDEFAULT` The default value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG` The flags representing the value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG_DEFAULT` The flags representing the default value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG_OFFSET` The offset of the flags representing the value of the '`Sorting`' attribute
`protected static java.util.Map` `SORTING_KEYS_EDEFAULT` The default value of the '`Sorting Keys`' attribute
`protected java.util.Map` `sortingKeys` The cached value of the '`Sorting Keys`' attribute

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SortingStyleImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getSortedObjects()`
`Sorting` `getSorting()`
`java.util.Map` `getSortingKeys()`
`void` `setSorting(Sorting newSorting)`
`void` `setSortingKeys(java.util.Map newSortingKeys)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### SORTING_EDEFAULT

    protected static final Sorting SORTING_EDEFAULT

  The default value of the '`Sorting`' attribute.

  See Also:
    `getSorting()`
  ** Generated **
  Ordered:

### SORTING_EFLAG_OFFSET

    protected static final int SORTING_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Sorting`' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_EFLAG_DEFAULT

    protected static final int SORTING_EFLAG_DEFAULT

  The flags representing the default value of the '`Sorting`' attribute.

  ** Generated **
  Ordered:

### SORTING_EFLAG

    protected static final int SORTING_EFLAG

  The flags representing the value of the '`Sorting`' attribute.

  See Also:
    `getSorting()`, Constant Field Values
  ** Generated **
  Ordered:

### SORTING_KEYS_EDEFAULT

    protected static final java.util.Map SORTING_KEYS_EDEFAULT

  The default value of the '`Sorting Keys`' attribute.

  See Also:
    `getSortingKeys()`
  ** Generated **
    NOT
  Ordered:

### sortingKeys

    protected java.util.Map sortingKeys

  The cached value of the '`Sorting Keys`' attribute.

  See Also:
    `getSortingKeys()`
  ** Generated **
  Ordered:

### sortedObjects

    protected org.eclipse.emf.common.util.EList sortedObjects

  The cached value of the '`Sorted Objects`' reference list.

  See Also:
    `getSortedObjects()`
  ** Generated **
  Ordered:

Constructor Detail

### SortingStyleImpl

    protected SortingStyleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getSorting

    public Sorting getSorting()

  Specified by:
    `getSorting` in interface `SortingStyle`
  Returns:
    the value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `SortingStyle.setSorting(Sorting)`, `NotationPackage.getSortingStyle_Sorting()`
  ** Generated **

### setSorting

    public void setSorting(Sorting newSorting)

  Specified by:
    `setSorting` in interface `SortingStyle`
  Parameters:
    `newSorting` - the new value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `SortingStyle.getSorting()`
  ** Generated **

### getSortingKeys

    public java.util.Map getSortingKeys()

  Specified by:
    `getSortingKeys` in interface `SortingStyle`
  Returns:
    the value of the 'Sorting Keys' attribute.
  See Also:
    `SortingStyle.setSortingKeys(Map)`, `NotationPackage.getSortingStyle_SortingKeys()`
  ** Generated **
    NOT

### setSortingKeys

    public void setSortingKeys(java.util.Map newSortingKeys)

  Specified by:
    `setSortingKeys` in interface `SortingStyle`
  Parameters:
    `newSortingKeys` - the new value of the 'Sorting Keys' attribute. The value cannot be `null`
  See Also:
    `SortingStyle.getSortingKeys()`
  ** Generated **
    NOT

### getSortedObjects

    public org.eclipse.emf.common.util.EList getSortedObjects()

  Specified by:
    `getSortedObjects` in interface `SortingStyle`
  Returns:
    the value of the 'Sorted Objects' reference list.
  See Also:
    `NotationPackage.getSortingStyle_SortedObjects()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.